%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Software-License
Version:       0.104006
Release:       1mamba
Summary:       Software::License - packages that provide templated software licenses
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/Software-License-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Data-Section
BuildRequires: perl-Text-Template
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Requires:      perl >= %perl_major_ver
 
%description
Software::License - packages that provide templated software licenses

%prep
%setup -q -n Software-License-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sat Feb 10 2024 Automatic Build System <autodist@openmamba.org> 0.104006-1mamba
- automatic version update by autodist

* Wed May 24 2023 Automatic Build System <autodist@mambasoft.it> 0.104004-1mamba
- automatic version update by autodist

* Sat May 20 2023 Automatic Build System <autodist@mambasoft.it> 0.104003-1mamba
- automatic version update by autodist

* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 0.104002-2mamba
- rebuilt with perl 5.36.0

* Fri Feb 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.104002-1mamba
- update to 0.104002

* Mon Jan 10 2022 Automatic Build System <autodist@mambasoft.it> 0.104001-1mamba
- automatic version update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 0.103012-1mamba
- automatic update by autodist

* Wed Jan 27 2016 Automatic Build System <autodist@mambasoft.it> 0.103011-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 0.103010-1mamba
- automatic update by autodist

* Fri Oct 25 2013 Automatic Build System <autodist@mambasoft.it> 0.103006-1mamba
- automatic update by autodist

* Fri Jan 11 2013 Automatic Build System <autodist@mambasoft.it> 0.103005-1mamba
- automatic version update by autodist

* Mon Nov 19 2012 Automatic Build System <autodist@mambasoft.it> 0.103004-1mamba
- automatic version update by autodist

* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.008-3mamba
- perl 5.16 mass rebuild

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.008-2mamba
- automatic rebuild by autodist

* Mon Oct 20 2008 gil <puntogil@libero.it> 0.008-1mamba
- package created by autospec
